{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/personaleStyle.css')}}" />
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Gestione personale</div>
    </div>
  </div>

  <h2 class="ui center aligned header fly" style="margin-top: 20px; margin-left: 20px; display: none">
    <div class="content" style="font-size: 38px">
      <i class="write icon"></i>
      <em><strong>Gestione personale</strong></em>
    </div>
  </h2>

  <div class="ui divider"></div>

  <div class="ui grid" style="margin: 0; padding: 0">
    <div class="nine wide column" style="padding-right: 1.5%; border-right: 1px solid black">
      <table class="ui celled table">
        <thead>
          <tr>
            <th colspan="6" style="text-align: center">
              <h8 class="ui header">
                <i class="users icon"></i>
                <div class="content">
                  Dipendenti
                </div>
              </h8>
            </th>
          </tr>
          <tr>
            <th>Ruolo</th>
            <th>Nome</th>
            <th>Telefono</th>
            <th>Data assunzione</th>
            <th>Data fine contratto</th>
            <th>Stipendio</th>
          </tr>
        </thead>
        <tbody>
          {% for dipendente in ristorante.dipendenti %}
            <tr>
              {% if dipendente.ruolo == "Cuoco" %}
                <td><div class="ui ribbon yellow label">{{dipendente.ruolo}}</div></td>
              {% elseif dipendente.ruolo == "Cameriere" %}
                <td><div class="ui ribbon blue label">{{dipendente.ruolo}}</div></td>
              {% else %}
                <td><div class="ui ribbon red label">{{dipendente.ruolo}}</div></td>
              {% endif %}
              <td>{{dipendente.nome}}</td>
              <td>{{dipendente.telefono}}</td>
              <td>{{dipendente.dataAssunzione|date("d/m/Y")}}</td>
              <td>
                {% if dipendente.dataFineContratto is null %}
                  Indeterminato
                {% else %}
                  {{dipendente.dataFineContratto|date("d/m/Y")}}
                {% endif %}
              </td>
              <td>{{dipendente.stipendio}} €</td>
            </tr>
          {% endfor %}
        </tbody>
        <tfoot>
          <tr>
            <th colspan="6" style="padding-bottom: 0">
              <div style="float: right" class="icon button" data-position="left center" data-tooltip="Aggiungi nuovo dipendente" data-inverted="">
                <i id="add-to-dipendenti" class="ui add user icon" style="font-size: 40px; padding-top: 5px; border-radius: 50%"></i>
              </div>
            </th>
          </tr>
        </tfoot>
      </table>
    </div>
    <div class="seven wide column" style="padding-right: 0; padding-bottom: 0">
      <h8 class="ui center aligned header" style="margin-top: 20px; margin-left: 20px">
        <i class="calendar icon"></i>
        <div class="content" style="font-size: 28px">
          <em><strong>Turni</strong></em>
        </div>
      </h8>
      <div class="ui divider"></div>
      <div class="ui container">
        <label>Seleziona un giorno e verranno mostrati i turni:</label>
        <div id="add-turno" class="action-icon ui icon button" data-position="left center" data-tooltip="Aggiungi nuovo turno" data-inverted="">
          <i class="add to calendar icon"></i>
        </div>
        <br /><br />
        <div class="ui right labeled left icon input">
          <i class="checked calendar icon"></i>
          <input id="seleziona-turno" type='text' class="datepicker-here" data-language="it" data-position="bottom left"/>
          <div class="ui blue corner label">
            <i class="clock icon"></i>
          </div>
        </div>
        <div class="ui container" id="turni" data-id="{{ristorante.id}}">
          <div class="loader" style="margin: 20px; display:none"></div>
        </div>
      </div>

    </div>
  </div>

  <div id="new-dipendente-modal" class="ui long modal">
    <div class="header">Inserisci un nuovo dipendente:</div>
    <div class="content" style="padding: 20px">
      <form id="new-dipendente-form" method="post" class="ui form">
        <div class="three fields">
          <div class="required field">
            <label>Nome</label>
            <input placeholder="Nome" type="text" name="nome" required="true">
          </div>
          <div class="required field">
            <label>Cognome</label>
            <input placeholder="Cognome" type="text" name="cognome" required="true">
          </div>
          <div class="required field">
            <label>Codice fiscale</label>
            <div class="ui right labeled left icon input">
              <i class="credit card alternative icon"></i>
              <input type="text" maxlength="16" placeholder="Codice fiscale" name="codice-fiscale" required="true">
              <div class="ui blue corner label">
                <i class="certificate icon"></i>
              </div>
            </div>
          </div>
        </div>
        <div class="three fields">
          <div class="required field">
            <label>Indirizzo</label>
            <div class="ui right labeled left icon input">
              <i class="marker icon"></i>
              <input placeholder="Indirizzo" type="text" name="indirizzo" required="true">
              <div class="ui blue corner label">
                <i class="marker icon"></i>
              </div>
            </div>
          </div>
          <div class="required field">
            <label>Città</label>
            <div class="ui right labeled left icon input">
              <i class="map icon"></i>
              <input placeholder="Città" type="text" name="citta" required="true">
              <div class="ui blue corner label">
                <i class="map icon"></i>
              </div>
            </div>
          </div>
          <div class="required field">
            <label>Telefono</label>
            <div class="ui right labeled left icon input">
              <i class="text telephone icon"></i>
              <input type="text" placeholder="Telefono" name="telefono"  required="true">
              <div class="ui blue corner label">
                <i class="phone icon"></i>
              </div>
            </div>
          </div>
        </div>
        <div class="four fields">
          <div class="required field">
            <label>Ruolo</label>
            <select class="ui dropdown" name="ruolo">
              <option value="">Ruolo</option>
              <option value="Cuoco">Cuoco</option>
              <option value="Cameriere">Cameriere</option>
              <option value="Fattorino">Fattorino</option>
            </select>
          </div>
          <div class="required field">
            <label>Data assunzione</label>
            <div class="ui right labeled left icon input">
              <i class="checked calendar icon"></i>
              <input type="date" placeholder="Data assunzione" name="assunzione" required="true"/>
              <div class="ui blue corner label">
                <i class="clock icon"></i>
              </div>
            </div>
          </div>
          <div class="field">
            <label>Data fine contratto</label>
            <div class="ui right labeled left icon input">
              <i class="checked calendar icon"></i>
              <input type="date" placeholder="Data fine contratto" name="fine-contratto"/>
              <div class="ui blue corner label">
                <i class="clock icon"></i>
              </div>
            </div>
          </div>
          <div class="required field">
            <label>Stipendio</label>
            <div class="ui right labeled input">
              <div class="ui blue label">€</div>
              <input type="number" step="10" min="0" placeholder="Stipendio" name="stipendio">
              <div class="ui basic label">.00</div>
            </div>
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon positive button submit-button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
            Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  <div id="new-turno-modal" class="ui large modal">
    <div class="header">Inserisci un nuovo turno:</div>
    <div class="content" style="padding: 20px">
      <form id="new-turno-form" method="post" class="ui form">
        <input type="hidden" name="turno" value="true"/>
        <div class="five fields">
          <div class="required field">
            <label>Dipendente</label>
            <select id="dipendente" class="ui dropdown" name="dipendente">
              <option value="">Dipendente</option>
              {% for dipendente in ristorante.dipendenti|sort %}
                <option value="{{dipendente.codDipendente}}">{{dipendente.nome}} {{dipendente.cognome}}</option>
              {% endfor %}
            </select>
          </div>
          <div class="required field">
            <label>Giorno</label>
            <div class="ui corner labeled input">
              <input id="giorno" type="date" placeholder="Giorno" name="giorno">
              <div class="ui corner blue label">
                <i class="add to calendar icon"></i>
              </div>
            </div>
          </div>
          <div class="required field">
            <label>Fascia</label>
            <select class="ui dropdown" name="fascia" id="fascia">
              <option value="">Fascia</option>
              <option value="Pranzo">Pranzo</option>
              <option value="Cena">Cena</option>
            </select>
          </div>
          <div class="required field">
            <label>Inizio turno</label>
            <div class="ui corner labeled input">
              <input type="time" placeholder="Giorno" name="inizio-turno">
              <div class="ui corner blue label">
                <i class="clock icon"></i>
              </div>
            </div>
          </div>
          <div class="required field">
            <label>Fine turno</label>
            <div class="ui corner labeled input">
              <input type="time" placeholder="Giorno" name="fine-turno">
              <div class="ui corner blue label">
                <i class="clock icon"></i>
              </div>
            </div>
          </div>
        </div>
        <div id="check-turno" data-id="{{ristorante.id}}" style="margin: auto; float:right" class="ui labeled icon primary button">
          <i class="search icon"></i> Verifica turno
        </div>
        <br /><br />
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="submit-turno" data-name="unchecked" style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
            Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  <div class="ui divider"></div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
